gmp_com
gmp_div_qr
GMP Functions
PHP Manual

# gmp_div_q

Divide numbers

### Description

resource gmp_div_q ( resource `$a` , resource `$b` [, int `$round` = GMP_ROUND_ZERO ] )

Divides `a` by `b` and returns the integer result.

### Parameters

`a`

  The number being divided.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`b`

  The number that `a` is being divided by.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`round`

  The result rounding is defined by the `round`, which can have the following values:

  - `GMP_ROUND_ZERO`: The result is truncated towards 0.
  - `GMP_ROUND_PLUSINF`: The result is rounded towards +infinity.
  - `GMP_ROUND_MINUSINF`: The result is rounded towards -infinity.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number resource.

### Examples

Example #1 gmp_div_q example

`<?php
$div1 = gmp_div_q("100", "5");
echo gmp_strval($div1) . "\n";
$div2 = gmp_div_q("1", "3");
echo gmp_strval($div2) . "\n";
$div3 = gmp_div_q("1", "3", GMP_ROUND_PLUSINF);
echo gmp_strval($div3) . "\n";
$div4 = gmp_div_q("-1", "4", GMP_ROUND_PLUSINF);
echo gmp_strval($div4) . "\n";
$div5 = gmp_div_q("-1", "4", GMP_ROUND_MINUSINF);
echo gmp_strval($div5) . "\n";
?>`

The above example will output:

    20
    0
    1
    0
    -1

### Notes

> Note:

> This function can also be called as gmp_div.

### See Also

- gmp_div_r
- gmp_div_qr